﻿//DESCRIPTION: Undo inline footnotes

// Get all the paragraphs in the footnotes
// (in the document or the selected frame).
// If the applied paragraph's name contains _breakline,
// apply the corresponding paragraph style
// without _breakline in its name.

(function () {
		
	var indd = app.activeDocument;

	if (app.selection.length === 0) {
		var p = indd.stories.everyItem().footnotes.everyItem().paragraphs.everyItem().getElements();
	} else if (app.selection[0] instanceof TextFrame) {
		var p = app.selection[0].footnotes.everyItem().paragraphs.everyItem().getElements();
	} else {
		exit();
	}

	for (var i = p.length-1; i >= 0; i--) {
		if (p[i].appliedParagraphStyle.name.indexOf('_breakline') > 0) {
			pstyle = indd.paragraphStyles.item (p[i].appliedParagraphStyle.name.replace('_breakline',''));
			if (pstyle.isValid) {
				p[i].applyParagraphStyle (pstyle, false);
			}
		}
	}

}());